[tracker-miners/sam/test-runner-fix: 4/8] functional-tests: Fix failed tests being reported as successful



commit 2539e46435481803723643761223f35e0571377e
Author: Sam Thursfield <sam afuera me uk>
Date:   Sat Sep 15 17:18:17 2018 +0200

    functional-tests: Fix failed tests being reported as successful
    
    Due to a mistake in the test runner, it was possible for tests to
    fail but appear to have succeeded.

 tests/functional-tests/test-runner.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
---
diff --git a/tests/functional-tests/test-runner.sh b/tests/functional-tests/test-runner.sh
index 26325a1d8..1578f22b2 100755
--- a/tests/functional-tests/test-runner.sh
+++ b/tests/functional-tests/test-runner.sh
@@ -20,7 +20,7 @@ HOME=$TEMP_DIR
 
 eval `dbus-launch --sh-syntax`
 
-trap "/bin/kill $DBUS_SESSION_BUS_PID; exit" INT ERR
+trap "/bin/kill $DBUS_SESSION_BUS_PID; exit 1" INT ERR
 
 echo "Running $@"
 $@


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]